/* =Header */

:root {
--header-background-color:transparent;
--header-overlay-background-color: var(--wp--preset--color--gray-darkest);
--header-toggle-color-default:#aaa;
--header-toggle-color-hover:#ccc;
--header-toggle-color-hero:#aaa;
--header-toggle-color-hero-hover:#888;
--header-toggle-color-menu:#111;
--header-default-height: 110px;
--header-mobile-height: 110px;
}
.hero-gallery-page .header-block {
position: absolute;
top: 0;
left: 0;
width: 100%;
z-index: 100;
height: var(--header-default-height);
z-index: 10;
}

.header[data-header-transparent="true"] .header-main {
position:absolute;
background-color: transparent;
}
.header-main {
background-color: var(--header-background-color);
}

/* =Proxy */

.header-position {
position: absolute;
top:0;
left:0;
}
.header-proxy {
position: relative;
height:var(--header-default-height);
transition: all .5s ease;
}
/* .header-main {
position: absolute;
top:0;
left:0;
width:100%;
z-index: 100;
height:var(--header-default-height);
transition: all .5s ease;
} */

@media screen and (max-width:999px) {
  .header-proxy {
  height:var(--header-mobile-height);
  }
  .header-main {
  height:var(--header-mobile-height);
  }
}


/* =Logo */
:root {
--default-logo-width: 200px;
}

.header-logo {
text-align: center;
padding: 70px 0 35px;
}
@media screen and (min-width:1000px) {
  .header-logo {
  padding: 70px 0 10px;
  }
}
.header-logo a {
display: block;
padding-left: 20px;
padding-right: 20px;
}
.header-logo-light {
display: none;
}
.header-logo-dark {
display: block;
}
.hero-gallery-page .header-logo-dark,
.theme-light .header-logo-dark {
display: none;
}
.hero-gallery-page .header-logo-light,
.theme-light .header-logo-light {
display: block;
}

.hero-gallery-page .header-menu > div > .menu > li > a {
color: var(--wp--preset--color--cream-dark);
transition: all .25s ease;
}
.hero-gallery-page .header-menu > div > .menu > li > a:hover,
.hero-gallery-page .header-menu > div > .menu > li > a:focus-visible {
color: var(--wp--preset--color--cream);
transition: all .25s ease;
}


.header-logo-light svg,
.header-logo-light img,
.header-logo-dark svg,
.header-logo-dark img {
height: auto;
width: 250px;
max-width: 100%;
display: block;
}
/* home - desktop */
/* @media screen and (min-width: 1000px) {
  .home .header-logo-light svg,
  .home .header-logo-light img,
  .home .header-logo-dark svg,
  .home .header-logo-dark img {
  width: 350px;
  }
} */
/* large desktop */
@media screen and (min-width: 1440px) {
  .header-logo-light svg,
  .header-logo-light img,
  .header-logo-dark svg,
  .header-logo-dark img {
  width: 350px;
  }
}


.header-logo-dark,
.header-logo-light {
opacity: 1;
text-align: center;
}
.header-logo-dark a,
.header-logo-light a {
display: inline-block;
vertical-align: bottom;
}
.header-logo-sticky {
opacity: 0;
}
.header-logo-sticky img {
width: 60px;
height: auto;
}
.header-sticky .header-logo-sticky {
opacity: 1;
}
.header-sticky .header-logo-dark {
opacity: 0;
}
.header-sticky .header-logo-sticky,
.header-sticky .header-logo-dark,
.header-sticky .header-logo-light {
transition: all .25s ease-in;
}


/* =Menus */

.header-menu {
display: none;
}
/* @media screen and (min-width:1000px) {
  .header-menu {
  display: block;
  padding-top: 20px;
  }
} */

.header-menu .menu {
list-style: none;
text-transform: uppercase;
letter-spacing: .1em;
font-weight: 500;
margin: 0;
padding: 0;
opacity: 1;
transition: all .25s ease-in;
text-align: center;
font-size:0;
}
.header-menu .menu li {
font-size:1rem;
display: inline-block;
}
.header-menu a {
text-decoration: none;
}
.header-menu > div > .menu > li > a {
letter-spacing: .05em;
font-weight: 500;
text-transform: uppercase;
text-decoration: none;
display: inline-block;
padding: 10px 15px;
position: relative;
}

.header-menu > div > .menu > li > a::after {
content: "";
display: block;
position: absolute;
z-index: 50;
bottom: 2px;
left:50%;
width:50px;
height:1px;
background-color: var(--color-border-dark);
transform: translateX(-50%) scale(0);
transition: all .25s ease;
} 
.header-menu > div > .menu > li > a:hover::after {
transform: translateX(-50%) scale(1);
transition: all .5s ease;
}

body.page-id-568 .header-menu > div > .menu > li.menu-item-298 > a::after, /*product*/
body.page-id-576 .header-menu > div > .menu > li.menu-item-298 > a::after, /*collection*/
.header-menu .current-menu-item > a::after {
transform: translateX(-50%) scale(1) !important;
transition: all .5s ease;
}


/* =Layout */

.header-split-left,
.header-split-right {
position: absolute;
top: 50%;
max-width: calc( 50% - var(--default-logo-width) - 60px);
}
.header-split-left {
right: calc(50% + var(--default-logo-width) - 60px);
transform: translateY(-50%);
}
.header-split-right {
left: calc(50% + var(--default-logo-width) - 60px);
transform: translateY(-50%);
}
@media (max-width: 999px) { /* mobile and tablet */
  .header-split-left,
  .header-split-right {
  display: none;
  }
} 


/* =Utility Menu */

.header-utility-menu {
position: absolute;
z-index: 210;
top:20px;
right:10px;
padding:0 0 0 0;
display: flex;
flex-direction: row;
justify-content: flex-end;
color:#666;
}
@media screen and (max-width:768px) {
  .header-utility-menu {
  top: 5px;
  right: 10px;
  }
}
.header-utility-menu-item {
flex:1;
margin-left: 10px;
}
/* .header-utility-menu-embed {
padding: 10px;
font-size:12px;
} */
.header-utility-menu .header-join-link a,
.header-utility-menu .header-join-link a:hover,
.header-utility-menu .header-join-link a:focus-visible {
text-decoration: none;
white-space: nowrap;
text-transform: uppercase;
font-size: var(--wp--preset--font-size--x-small);
letter-spacing: 0.1em;
}
.hero-gallery-page .header-join-link a {
color: #e8d9c1;
line-height: 1;
}


/* =Header Overlay */


/* header overlay toggle */

.header-overlay-toggle {
position: fixed;
z-index: 201;
top:0;
left:0;
opacity: 1;
pointer-events: auto;
display: block;
text-transform: uppercase;
padding: 12px;
height: 44px;
width: 44px;
box-sizing:border-box;
margin: 0;
background-color:transparent;
border:none;
transition: .5s all ease;
box-shadow:none;
cursor: pointer;
}
.header-overlay-toggle:hover,
.header-overlay-toggle:focus-visible,
.header-overlay-toggle:active {
background-color:transparent;
border:none;
}
.header-overlay-toggle svg {
display: block;
}

/* mobile and tablet */
@media screen and (max-width:1000px){
  .header-overlay .menu {
  margin-bottom: 2rem;
  padding-left: 0;
  }
  .header-overlay-social {
  margin-top: 3rem;
  }
}

@media screen and (min-width:769px){/* tablet and desktop */
  body .header-overlay-toggle {
  top: 20px;
  left: calc(80px - 44px);
  }
  .header-overlay-toggle:hover,
  .header-overlay-toggle:focus-visible,
  .header-overlay-toggle:active {
  background-color:transparent;
  border:none;
  }
}

.home .header-overlay-toggle {
opacity: 0;
animation: headerOverlayToggleIn .5s ease-out forwards;
animation-delay: .5s;
}

@keyframes headerOverlayToggleIn {
  from {
  opacity: 0;
  }
  to {
  opacity: 1;
  }  
}


/* toggle icon */

.toggle-icon {
position: absolute;
width: 44px;
height: 44px;
top: 0;
left: 0;
}
.toggle-icon > div {
position: absolute;
width: 44px;
transform: translateX(-50%);
left: 50%;
top: 50%;
background-color: transparent;
}
.toggle-icon > div::after {
content: "";
display: block;
position: absolute;
width: 44px;
height: 2px;
background-color: var(--header-toggle-color-default);
}
.toggle-icon > div > div {
position: absolute;
width: 44px;
height: 2px;
background-color: var(--header-toggle-color-default);
}
.header-overlay-toggle:hover .toggle-icon > div::after,
.header-overlay-toggle:focus-visible .toggle-icon > div::after,
.header-overlay-toggle:hover .toggle-icon > div > div,
.header-overlay-toggle:focus-visible .toggle-icon > div > div {
background-color: var(--header-toggle-color-hover);
}

.toggle-icon > div > div:first-child {
transform: translateY(-7px);
}
.toggle-icon > div > div:last-child {
transform: translateY(7px);
}
.header-overlay-show .toggle-icon > div::after {
opacity: 0;
}
.hero-homepage-entered .toggle-label {
color: var(--header-toggle-color-home);
opacity: 1;
pointer-events: all;
}
.toggle-icon div,
.toggle-icon div::after,
.header-overlay-toggle:hover div,
.header-overlay-toggle:focus-visible div,
.header-overlay-show .header-overlay-toggle div {
transition: all .125s ease-in;
}
.header-overlay-show .toggle-icon > div > div:first-child {
transform: rotate(45deg);
}
.header-overlay-show .toggle-icon > div > div:last-child {
transform: rotate(-45deg);
}
@media screen and (max-width: 768px) {
  .header-overlay-toggle {
  top: 0;
  left: 4px;
  }
  .header-overlay-toggle:hover,
  .header-overlay-toggle:focus-visible,
  .header-overlay-toggle:active {
  background-color:transparent;
  border:none;
  }
  .toggle-icon {
  width: 20px;
  height: 20px;
  top: 12px;
  left: 12px;
  }
  .toggle-icon > div,
  .toggle-icon > div > div,
  .toggle-icon > div::after,
  .toggle-icon svg rect {
  width: 20px;
  }
}



/* toggle label */

.toggle-label {
position: absolute;
top: -10000px;
left: -10000px;
}
.toggle-label {
position: absolute;
top: 0;
left: 100%;
font-size:13px;
letter-spacing: .1em;
line-height:45px;
padding-left: 10px;
padding-top: 0;
opacity: 0;
pointer-events: none;
transition: all .25s ease;
}

@media screen and (max-width: 640px) {
  .hero-homepage-entered .toggle-label {
  opacity:0;
  pointer-events: none;
  }
}
  

/* header overlay */

.header-overlay {
pointer-events: none;
position: fixed;
z-index:200;
width: 100%;
height: 100%;
height: 100vh;
top:0;
left:0;
opacity: 0;
transition: all .25s ease-out;
}
.header-overlay-show {
overflow: hidden;
}
.header-overlay-show .header-overlay,
.header-overlay:focus-within {
opacity: 1;
pointer-events: auto;
transition: all .25s ease-out;
}
.header-overlay-content {
width: 800px;
max-width: 90%;
background: var(--header-overlay-background-color);
box-shadow: 0 0 50px rgba(0,0,0,0.5);
height: 100%;
box-sizing: border-box;
position: relative;
z-index: 5;
overflow-x: hidden;
overflow-y: auto;
-webkit-overflow-scrolling: touch;
}
.header-overlay-inner {
/* min-height: 100vh;
min-height: 100svh; */
padding: 100px 60px;
}
.header-overlay-inner .sub-menu li a {
font-size: var(--wp--preset--font-size-medium);
text-transform: uppercase;
}
.header-overlay-inner .sub-menu {
margin-top: 1rem;
margin-bottom: 1rem;
}
/* desktop */
@media screen and (min-width: 1000px) {
  .header-overlay-inner .sub-menu {
  padding-left: 20px;
  }
}


.header-overlay .logo {
display: none;
}
.header-overlay-background {
pointer-events: none;
position: absolute;
z-index: -1;
bottom: 0;
left: 50%;
transform: translateX(-50%);
width: 80%;
max-width: 80%;
height: 100%;
}
.header-overlay-closer {
pointer-events: none;
opacity: 0;
position: fixed;
z-index: 1;
top: 0;
left: 0;
width: 100%;
height: 100%;
transition: all .25s ease;
}
.header-overlay-show .header-overlay-closer {
opacity: 0.7;
pointer-events: all;
background-color: var(--header-overlay-background-color);
transition: all .25s ease;
}
.header-overlay-logo {
display: flex;
justify-content: center;
align-items: center;
margin-bottom: 2rem;
}
.header-overlay-logo a {
display: block;
padding: 20px;
max-width: 100%;
width: 300px;
}
.header-overlay-logo img {
display: inline-block;
}
.header-overlay .menu,
.header-overlay .menu li.menu-item,
.header-overlay .menu li.page_item {
display: block;
text-align: left;
}
@media screen and (max-width:999px) {
  .header-overlay-logo {
  margin-left: auto;
  margin-right: auto;
  }
  .header-overlay .menu,
  .header-overlay .menu li.menu-item,
  .header-overlay .menu li.page_item {
  text-align: center;
  }
}
.header-overlay .menu a {
display: block;
padding: 0;
text-decoration: none;
position: relative;
color: var(--wp--preset--color--cream-dark);
}
.header-overlay .menu a:hover,
.header-overlay .menu a:focus-visible {
color: var(--wp--preset--color--cream);
}

.header-overlay .menu {
margin-bottom: 0;
}
.header-overlay-menu-primary a {
font-size: 2.5em;
font-family: var(--wp--preset--font-family--mrs-eaves-small-caps);
}
.header-overlay .header-overlay-menu-secondary .menu a {
text-transform: uppercase;
font-family: var(--wp--preset--font-family--mrs-eaves-small-caps);
letter-spacing: .1em;
padding: 0.5rem 0;
}

.header-overlay-social a {
text-decoration: none;
}
.header-social-links {
list-style: none;
padding: 0;
margin: 0;
}
.header-social-links a {
display: inline-block;
}
.header-social-links span {
display: none;
}
.header-social-links li {
display: inline-block;
margin-right: 10px;
}
.header-social-links svg {
vertical-align: bottom;
}
.header-social-links path {
transition: all .25s ease;
}
.header-social-links a:hover path,
.header-social-links a:focus-visible path {
fill: #111;
transition: all .25s ease;
}


/* menus */

/* tablet */
@media screen and (min-width:541px) and (max-width:999px) {
  .header-overlay-inner {
  padding: 70px 90px;
  }
}

/* mobile and tablet */
@media screen and (max-width:999px) {
  .header-overlay .menu {
  margin-top: 3rem;
  margin-bottom: 3rem;
  }
  .header-overlay-show .logo {
  opacity: 0 !important;
  pointer-events: none !important;
  }
  .header-overlay-show .toggle-label-close {
  opacity: 0 !important;
  }
  .header-overlay-content li {
  list-style-type: none;
  }
  .header-overlay .menu-primary-menu-container > ul.menu > li > a {
  font-size: 36px;
  line-height: 36px;
  display: block;
  padding: 10px 0;
  }
  .header-overlay .menu-tertiary-menu-container {
  margin:2rem 0;
  }
  .header-overlay .sub-menu li {
  margin:1rem 0;
  }
  .header-overlay .social-links {
  margin: 2rem 0;
  }
  .menu-primary-menu-container ul li {
  position: relative;
  }
  
  .header-overlay {
  text-align: center;
  }
  .header-overlay .color-selection {
  text-align: center;
  }
  .header-overlay .color-selection li {
  display: inline-block;
  margin: 0 10px;
  }
  .header-overlay .color-selection button {
  height:30px;
  width:30px;
  border-radius:50%;
  }
  .header-overlay .social-links i {
  font-size:24px;
  }
}

/* desktop */
@media screen and (min-width: 1000px){

  .header-overlay .menu-primary-menu-container {
  text-align: left;
  }
  .header-overlay .menu-primary-menu-container ul.menu {
  margin: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100vh;
  }
  .header-overlay .menu-primary-menu-container ul.menu {
  margin: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  }
  .menu-primary-menu-container li {
  list-style-type: none;
  display: flex;
  flex-direction:column;
  }
  .header-overlay-inner {
  padding-left: 120px;
  padding-right: 120px;
  padding-top: 50px;
  }
  .header-overlay-columns {
  display: flex;
  flex-direction: row;
  height: 100%;
  gap: 30px;
  }
  .header-overlay-columns > div:first-child {
  width: 66%;
  }
  .header-overlay-columns > div:last-child {
  width: 34%;
  padding-top: 10px;
  }
  .header-overlay .menu a::after {
  content: "";
  display: block;
  position: absolute;
  z-index: 2;
  bottom: 0;
  left: 0;
  width: 0.75em;
  height: 2px;
  background-color: var(--wp--preset--color--cream-dark);
  transform: scaleX(0) translateX(0);
  transition: all .25s ease;
  }
  .header-overlay .menu a:hover::after,
  .header-overlay .menu a:focus-visible::after {
  transform: scaleX(1) translateX(0);
  transition: all .25s ease;
  }
  
}
  
@media screen and (min-width:999px) and (max-height: 650px) {
  .header-overlay .menu-primary-menu-container .menu > li {
  font-size: 48px;
  }
}
@keyframes menu-item-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
